Subject: bug#77917: 31.0.50; [PATCH] Stop using the "stop" sign for all warning levels

From: Robert Pluim <[email-masked]>
Date: Mon, 05 May 2025 14:35:22 +0200

>>>>> On Sat, 03 May 2025 14:17:35 +0300, Eli Zaretskii <[email-masked]> said:

    >> From: Ihor Radchenko <[email-masked]>
    >> Cc: [email-masked], [email-masked]
    >> Date: Sat, 03 May 2025 10:38:59 +0000
    >> 
    >> Eli Zaretskii <[email-masked]> writes:
    >> 
    >> >> But there have been alternative suggestions.
    >> >> Are they all discarded?
    >> >
    >> > ...  If there's a suggestion for a change that is
    >> > agreed-upon, let's see it.
    >> 
    >> I thought that we converged to using a button, didn't we?
    >> At least, that suggestion was not objected by anyone.

    Eli> I don't see any code changes posted to that effect.  Without a patch,
    Eli> this leads nowhere.

Since I feel guilty about ever suggesting this feature in the first
place, how about (moving it to the end of the line is possible, if desired):

diff --git a/lisp/emacs-lisp/warnings.el b/lisp/emacs-lisp/warnings.el
index 6c77d57a6ba..3e6128f2511 100644
--- a/lisp/emacs-lisp/warnings.el
+++ b/lisp/emacs-lisp/warnings.el
@@ -324,8 +324,10 @@ display-warning
               ;; Don't output the button when doing batch compilation
               ;; and similar.
               (unless (or noninteractive (eq type 'bytecomp))
-                (insert (buttonize (icon-string 'warnings-suppress)
-                                   #'warnings-suppress type)
+                (insert (buttonize "[Suppress?]"
+                                   #'warnings-suppress
+                                   type
+                                   "Click to suppress this warning type")
                         " "))
 	      (if warning-prefix-function
 		  (setq level-info (funcall warning-prefix-function

Robert
--